Package ru.bitel.bgbilling.plugins.dispatch.common.bean

# Class DispatchMessage

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.plugins.dispatch.common.bean.DispatchMessage

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

Direct Known Subclasses:
  `CustomDispatchMessage`

public class DispatchMessage extends IdTitle
Сообщение из рассылки.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `DispatchMessage.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `messageBody`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DispatchMessage()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DispatchMessage.Builder`
  `builder()`
  `Date`
  `getCreateDate()`
  Возвращает дату создания
  `int`
  `getDispatchId()`
  Возвращает код рассылки сообщения
  `String`
  `getMessageBody()`
  Возвращает тело сообщения
  `Date`
  `getSendDate()`
  Возвращает дату отправки
  `boolean`
  `isSent()`
  Проверяет, отправлено ли сообщение
  `void`
  `setCreateDate(Date createDate)`
  Устанавливает дату создания
  `void`
  `setDispatchId(int dispatchId)`
  Устанавливает код рассылки сообщения
  `void`
  `setMessageBody(String messageBody)`
  Устанавливает текст тела сообщения
  `void`
  `setSendDate(Date sendDate)`
  Устанавливает дату отправки
  `void`
  `setSent(boolean sent)`
  Устанавливает факт отправки сообщения

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### messageBody

    protected String messageBody

- ## Constructor Details

  - ### DispatchMessage

    public DispatchMessage()

- ## Method Details

  - ### getMessageBody

    public String getMessageBody()
    Возвращает тело сообщения
    Returns:

  - ### setMessageBody

    public void setMessageBody(String messageBody)
    Устанавливает текст тела сообщения
    Parameters:
      `messageBody` -

  - ### getSendDate

    public Date getSendDate()
    Возвращает дату отправки
    Returns:

  - ### setSendDate

    public void setSendDate(Date sendDate)
    Устанавливает дату отправки
    Parameters:
      `sendDate` -

  - ### setCreateDate

    public void setCreateDate(Date createDate)
    Устанавливает дату создания
    Parameters:
      `createDate` -

  - ### getCreateDate

    public Date getCreateDate()
    Возвращает дату создания
    Returns:

  - ### setSent

    public void setSent(boolean sent)
    Устанавливает факт отправки сообщения
    Parameters:
      `sent` -

  - ### isSent

    public boolean isSent()
    Проверяет, отправлено ли сообщение
    Returns:

  - ### setDispatchId

    public void setDispatchId(int dispatchId)
    Устанавливает код рассылки сообщения
    Parameters:
      `dispatchId` -

  - ### getDispatchId

    public int getDispatchId()
    Возвращает код рассылки сообщения
    Returns:

  - ### builder

    public static DispatchMessage.Builder builder()